/* Tabs */
.tabs__button {
  border: 2px solid rgb(var(--c-primary));
  color: rgb(var(--c-primary));
  background: transparent;
  font-weight: var(--f-weight-sb);
}

.tabs__button.-active {
  background: rgb(var(--c-primary));
  color: rgb(var(--c-neutral-lightest));
}

@media (hover: hover) {
  .tabs__button:hover {
    background: rgb(var(--c-primary));
    color: rgb(var(--c-neutral-lightest));
  }
}

/* Accordion vertical */
.accordion.-vertical .accordion__content {
  padding: 1rem 1.6rem;
}

.accordion.-vertical .accordion__button {
  background: transparent;
  color: rgb(var(--c-neutral-darker));
  font-weight: var(--f-weight-b);
  text-transform: none;
  font-size: var(--f-size-l-2);
  padding: 1rem 1.6rem;
}

div.accordion.-vertical .accordion__header::after {
  content: '\f0a9';
  font-family: 'FaSharpRegular';
  font-weight: 400;
  font-size: var(--f-size-l-1);
}

div.accordion.-vertical .accordion__header.-active::after {
  content: '\f057';
}

.content {
  .accordion__item {
    border-top: 1px solid rgb(var(--c-neutral-darker));
  }
  .accordion__item:last-child {
    border-bottom: 1px solid rgb(var(--c-neutral-darker));
  }
}

.footer {
  & .accordion.-vertical .accordion__header::after {
    color: rgb(var(--c-neutral-lightest));
    font-size: var(--f-size);
    right: 0;
  }

  & .accordion.-vertical .accordion__button {
    font-size: var(--f-size);
    color: rgb(var(--c-neutral-lightest));
    padding: 0;
  }

  & .accordion.-vertical .accordion__item:not(:first-child) .accordion__header {
    margin-top: 1.5rem;
  }

  & .accordion.-vertical .accordion__content {
    padding: 1.5rem 0 0 0;
  }
}

.accordion.-vertical .accordion__header::after {
  color: rgb(var(--c-neutral-darker));
}

/* Accordion horizontal */
.accordion.-horizontal .accordion__content {
  padding: 2rem;
}
.accordion.-horizontal .accordion__item {
  border: none;
}

.accordion.-horizontal .accordion__headertext {
  font-size: var(--f-size-l-3);
  font-weight: var(--f-weight-sb);
  font-family: var(--f-family-h);
  text-transform: none;
}

.accordion.-horizontal .accordion__button {
  background-color: rgb(var(--c-primary));
  color: rgb(var(--c-neutral-lightest));
  border-radius: 0;
}

.accordion.-horizontal .accordion__button {
  background: transparent;
  color: rgb(var(--c-primary));
  border: 2px solid rgb(var(--c-primary));
  font-weight: var(--f-weight-sb);
}

.accordion.-horizontal .accordion__buttontext {
  display: flex;
  align-items: center;
  justify-content: flex-start;
  padding: 1.5rem 2rem;
  width: 100%;
  height: 100%;
  hyphens: none;
}

.accordion.-horizontal .accordion__header.-active + .accordion__content {
  background: rgb(var(--c-primary));
  color: rgb(var(--c-neutral-lightest));
  border-radius: var(--b-radius-s);
  overflow: hidden;
}

.accordion.-horizontal .accordion__header.-active + .accordion__content h2,
.accordion.-horizontal .accordion__header.-active + .accordion__content h3,
.accordion.-horizontal .accordion__header.-active + .accordion__content h4,
.accordion.-horizontal .accordion__header.-active + .accordion__content a {
  color: rgb(var(--c-neutral-lightest));
}

/* =============================================================================
   Media Queries
   ========================================================================== */

@media (min-width: 800px) {
  /* Accordion horizontal */
  .accordion.-horizontal .accordion__buttontext {
    padding: 2rem 0.5rem;
  }
}
